GNU bug report logs - #10669
24.0.93; Emacs daemon high CPU load

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Michael Welsh Duggan <md5i@HIDDEN>; merged with #5535; dated Mon, 30 Jan 2012 22:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 8 May 2012 16:19:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue May 08 12:19:52 2012
Received: from localhost ([127.0.0.1]:41350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SRn8i-0002ce-30
	for submit <at> debbugs.gnu.org; Tue, 08 May 2012 12:19:52 -0400
Received: from mail-yx0-f192.google.com ([209.85.213.192]:48240)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <scytale@HIDDEN>) id 1SRlmb-0000hc-8l
	for 10669 <at> debbugs.gnu.org; Tue, 08 May 2012 10:52:57 -0400
Received: by yenm12 with SMTP id m12so6997718yen.9
	for <10669 <at> debbugs.gnu.org>; Tue, 08 May 2012 07:50:44 -0700 (PDT)
Received: by 10.236.189.66 with SMTP id b42mr1097532yhn.6.1336488644039; Tue,
	08 May 2012 07:50:44 -0700 (PDT)
Path: glegroupsg2000goo.googlegroups.com!not-for-mail
Newsgroups: gnu.emacs.bug
Date: Tue, 8 May 2012 07:50:43 -0700 (PDT)
In-Reply-To: <mailman.3257.1328477962.15002.bug-gnu-emacs@HIDDEN>
Complaints-To: groups-abuse@HIDDEN
Injection-Info: glegroupsg2000goo.googlegroups.com; posting-host=212.129.79.10;
	posting-account=tW4vzAoAAABnYFgUExTxaUj6hxCiRxuq
NNTP-Posting-Host: 212.129.79.10
References: <87ipjsg5ut.fsf@HIDDEN> <878vkhis0o.fsf@HIDDEN>
	<mailman.3257.1328477962.15002.bug-gnu-emacs@HIDDEN>
User-Agent: G2/1.0
X-Google-Web-Client: true
X-Google-IP: 212.129.79.10
MIME-Version: 1.0
Message-ID: <13639345.41.1336488643930.JavaMail.geo-discussion-forums@ynjj37>
Subject: Re: bug#10669: More debugging
From: scytale@HIDDEN
To: gnu.emacs.bug@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 10669
X-Mailman-Approved-At: Tue, 08 May 2012 12:19:50 -0400
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

data point:

running 24.1.50.1 on Ubuntu 12.04 via cassou ppa.

I can trigger this with an init.el consisting solely of:

(custom-set-variables
 '(desktop-base-file-name "emacs.desktop")
 '(desktop-save t)
 '(desktop-save-mode t)
)

no other custom configuration file is present.
If i remove those lines from init.el and instead set the vars using setq in my personal config file things work ok. 

When the bug is triggered I have two emacs daemon processes running:
USER         PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
scytale      12847  0.0  0.1 200180  4884 pts/0    S+   15:24   0:00 /usr/bin/emacs --daemon
scytale      12848  0.0  0.3 209936 14540 ?        Ss   15:24   0:00 /usr/bin/emacs --daemon

I'm guessing the whole daemonize-fork-pass-fd dance is getting fouled up somehow.

I found a reference to what sounds like a very similar problem here:
http://forums.gentoo.org/viewtopic-p-5998467.html?sid=f177a9491dffb58f06b39b58ab4024d1#5998467

afaict this poster believed that in his case the problem was caused by two emacs processes trying to access the same emacs.desktop file. In my case neither of the two daemon processes have the file open by the time I can run lsof on them. 

I'll do some tracing/debugging when I get the chance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 5 Feb 2012 21:39:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 05 16:39:43 2012
Received: from localhost ([127.0.0.1]:55904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Ru9oE-0000N6-Sp
	for submit <at> debbugs.gnu.org; Sun, 05 Feb 2012 16:39:43 -0500
Received: from md5i.com ([75.151.244.229]:42391 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Ru9oD-0000Mv-0P
	for 10669 <at> debbugs.gnu.org; Sun, 05 Feb 2012 16:39:41 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:To:From;
	bh=BBZHfGnabxcxinixwbQ6OD1/M667W5I7LbMzgJqa7eE=; 
	b=NDEybxFRJgFRfXa7RsYJHf5djeF6maqs1tH6yvPl4kS/DkE1mrz0Cf9JjxIPYmqGiV9twDfyE3FTLeJENZUI+KEcFsHDFujGVw7A5UCEc+fDyQuPbECeZk4OQqK5zE7e;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>) id 1Ru9nN-0004at-7p
	for 10669 <at> debbugs.gnu.org; Sun, 05 Feb 2012 16:38:49 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: 10669 <at> debbugs.gnu.org
Subject: Re: bug#10669: More debugging
References: <87ipjsg5ut.fsf@HIDDEN> <878vkhis0o.fsf@HIDDEN>
Date: Sun, 05 Feb 2012 16:38:49 -0500
In-Reply-To: <878vkhis0o.fsf@HIDDEN> (Michael Welsh Duggan's message of
	"Sun, 05 Feb 2012 03:49:43 -0500")
Message-ID: <87r4y9c652.fsf@HIDDEN>
User-Agent: Gnus/5.11002 (No Gnus v0.20) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Michael Welsh Duggan <md5i@HIDDEN> writes:

> Okay.  Here's what the infinite loop actually is:
>
> The C function 'command_loop' calls 'top_level_1', which eventually
> evals 'top-level', which is 'normal-top-level'.  'normal-top-level'
> notes that 'command-line-processed' is t, calls (message "Back to top
> level."), and then returns.
>
> Back to 'command_loop, which then calls 'command_loop_2', which calls
> command_loop_1', which calls 'read_key_sequence', which calls
> 'read_char'.
>
> 'read_char' eventually calls 'kbd_buffer_get_event' at keyboard.c:2797.
> This ends up calling getchar(), since we are running as a daemon
> (keyboard.c:3796).  This getchar() returns -1.  'read_char' returns this
> -1.

So, at this point, daemon_pipe[] == {3, 4}.  It looks to me that
'daemon-initialized' isn't being called by 'command-line'.  This may be
due to the --eval "(server-start)"?  I think I may need some help
debugging further than this.

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 5 Feb 2012 08:50:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Feb 05 03:50:36 2012
Received: from localhost ([127.0.0.1]:54957 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rtxnv-00035F-Ht
	for submit <at> debbugs.gnu.org; Sun, 05 Feb 2012 03:50:36 -0500
Received: from md5i.com ([75.151.244.229]:40443 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Rtxnt-000353-Jl
	for 10669 <at> debbugs.gnu.org; Sun, 05 Feb 2012 03:50:34 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
	bh=brOEf3sIso2kaI8Mwu+Q6F1ydkxJIrQcyv3VpAFEiAA=; 
	b=RQGTy/BT4M1KYRh+Ja8sIGzid8hMBITw8gIRe/bsJ55MANtG+3TZ5MQrlZthTCGZu76QtrryuqX37w9h8Izi3qAT2fPXnOPaq8bkzR2f/9pWo0brXo+GXRoRpHyv1fYR;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>) id 1Rtxn6-0006qv-Au
	for 10669 <at> debbugs.gnu.org; Sun, 05 Feb 2012 03:49:44 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: 10669 <at> debbugs.gnu.org
Subject: More debugging
Date: Sun, 05 Feb 2012 03:49:43 -0500
Message-ID: <878vkhis0o.fsf@HIDDEN>
User-Agent: Gnus/5.11002 (No Gnus v0.20) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Okay.  Here's what the infinite loop actually is:

The C function 'command_loop' calls 'top_level_1', which eventually
evals 'top-level', which is 'normal-top-level'.  'normal-top-level'
notes that 'command-line-processed' is t, calls (message "Back to top
level."), and then returns.

Back to 'command_loop, which then calls 'command_loop_2', which calls
command_loop_1', which calls 'read_key_sequence', which calls
'read_char'.

'read_char' eventually calls 'kbd_buffer_get_event' at keyboard.c:2797.
This ends up calling getchar(), since we are running as a daemon
(keyboard.c:3796).  This getchar() returns -1.  'read_char' returns this
-1.

'read_key_sequence' takes this -1, and sets its return value to 0
(keyboard.c:9373).

'command_loop_1' takes this 0, and returns nil (keyboard.c:1463).
'command_loop_2' returns nil on nil.

'command_loop' then continues in its loop, calling 'top_level_1' again,
followed by 'command_loop_2'.

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 2 Feb 2012 01:28:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 20:28:49 2012
Received: from localhost ([127.0.0.1]:49707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RslTl-0000l3-6b
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 20:28:49 -0500
Received: from md5i.com ([75.151.244.229]:60625 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1RslTi-0000kp-E3
	for 10669 <at> debbugs.gnu.org; Wed, 01 Feb 2012 20:28:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
	bh=AnjbYXV0Gqv/KIQa/zS5DhB9ftAHabhGR1HzwoeJXZE=; 
	b=VZTX3fYXqBPuP36FZZWg8sOVNfTP+Ny9hDhd1F3VctEgCtmFsxwR7qEgdK2H6aPOaBjs+p+CHX171bbFwDoY6gWqPf+r4MtMsl0NB29P7gs4sK8odnLBmdFsCDQ2Ptoo;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>)
	id 1RslT9-0005J5-G8; Wed, 01 Feb 2012 20:28:11 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: Jan =?iso-8859-1?Q?Dj=E4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
	<ibobtk3dkn.fsf@HIDDEN>
	<C7836F98-1A94-4C46-9B4E-C0B18167FD74@HIDDEN>
Date: Wed, 01 Feb 2012 20:28:10 -0500
In-Reply-To: <C7836F98-1A94-4C46-9B4E-C0B18167FD74@HIDDEN> ("Jan
	=?iso-8859-1?Q?Dj=E4rv=22's?=
	message of "Wed, 1 Feb 2012 18:37:18 +0100")
Message-ID: <87ipjq2fdh.fsf@HIDDEN>
User-Agent: Gnus/5.11002 (No Gnus v0.20) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
Cc: Glenn Morris <rgm@HIDDEN>, "10669 <at> debbugs.gnu.org" <10669 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Jan Dj=E4rv <jan.h.d@HIDDEN> writes:

> 31 jan 2012 kl. 01:44 skrev Glenn Morris <rgm@HIDDEN>:
>
>> Michael Welsh Duggan wrote:
>>=20
>>> This bug may be related to the archived bug #5535.
>>> <URL:http://debbugs.gnu.org/5535>
>>=20
>> Sounds similar. It's not archived or resolved BTW.
>> The usual answer to such issues has been "use a lucid toolkit build
>> rather than a Gtk one". But, you are already doing that, so it can't be
>> the infamous Gtk+ bug that is responsible in this case.
>
> It can still be related. If Gconf or Gsettings is used, glib is
> managing the input loop, as in the Gtk case.

I just reconfigured like below.  The problem still exists in this
configuration.  The loop it ends up in endlessly writes "Back to top
level." into the .xsession-errors.

Anything I can do to help debug this?  I am a moderately experienced gdb
user.

In GNU Emacs 24.0.93.3 (i686-pc-linux-gnu, X toolkit)
 of 2012-02-01 on maru
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
Configured using:
 `configure '--without-gconf' '--without-gsettings'
 '--without-toolkit-scroll-bars' '--with-x-toolkit=3Dlucid''

--=20
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 1 Feb 2012 17:37:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 01 12:37:58 2012
Received: from localhost ([127.0.0.1]:49442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rse86-0005YF-HX
	for submit <at> debbugs.gnu.org; Wed, 01 Feb 2012 12:37:58 -0500
Received: from mailout.melmac.se ([62.20.26.67]:51236)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <jan.h.d@HIDDEN>) id 1Rse85-0005Y0-0E
	for 10669 <at> debbugs.gnu.org; Wed, 01 Feb 2012 12:37:58 -0500
Received: from mail01.melmac.se (mail01.melmac.se [62.20.26.80])
	by mailout.melmac.se (Postfix) with ESMTP id F33AE9DFC
	for <10669 <at> debbugs.gnu.org>; Wed,  1 Feb 2012 18:37:26 +0100 (CET)
Received: (qmail 28920 invoked by uid 89); 1 Feb 2012 17:35:45 -0000
Received: from h-46-59-42-18.na.cust.bahnhof.se (HELO coolsville.localdomain)
	(boel.djarv@HIDDEN@46.59.42.18)
	by mail01.melmac.se with ESMTPA; 1 Feb 2012 17:35:45 -0000
Received: from [95.205.101.184] (host-95-205-101-184.mobileonline.telia.com
	[95.205.101.184])
	by coolsville.localdomain (Postfix) with ESMTPSA id AFF727FA058;
	Wed,  1 Feb 2012 18:37:25 +0100 (CET)
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
	<ibobtk3dkn.fsf@HIDDEN>
In-Reply-To: <ibobtk3dkn.fsf@HIDDEN>
Mime-Version: 1.0 (1.0)
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii
Message-Id: <C7836F98-1A94-4C46-9B4E-C0B18167FD74@HIDDEN>
X-Mailer: iPhone Mail (9A405)
From: =?utf-8?Q?Jan_Dj=C3=A4rv?= <jan.h.d@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
Date: Wed, 1 Feb 2012 18:37:18 +0100
To: Glenn Morris <rgm@HIDDEN>
X-Spam-Score: -1.2 (-)
X-Debbugs-Envelope-To: 10669
Cc: Michael Welsh Duggan <md5i@HIDDEN>,
	"10669 <at> debbugs.gnu.org" <10669 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

Hello.=20


31 jan 2012 kl. 01:44 skrev Glenn Morris <rgm@HIDDEN>:

> Michael Welsh Duggan wrote:
>=20
>> This bug may be related to the archived bug #5535.
>> <URL:http://debbugs.gnu.org/5535>
>=20
> Sounds similar. It's not archived or resolved BTW.
> The usual answer to such issues has been "use a lucid toolkit build
> rather than a Gtk one". But, you are already doing that, so it can't be
> the infamous Gtk+ bug that is responsible in this case.

It can still be related. If Gconf or Gsettings is used, glib is managing the=
 input loop, as in the Gtk case.=20

   Jan D.=20





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 1 Feb 2012 01:27:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 20:27:48 2012
Received: from localhost ([127.0.0.1]:47862 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1RsOzD-0004M1-Rk
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2012 20:27:48 -0500
Received: from md5i.com ([75.151.244.229]:56941 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1RsOzC-0004Lo-77
	for 10669 <at> debbugs.gnu.org; Tue, 31 Jan 2012 20:27:47 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
	bh=0hXqP7/D1vekrqwzflUKbKNk0UoJTFSyfTud1JKePoo=; 
	b=RUGiW82vSQutX0U5T5aaEy9H/eQH8SXKILvywg2njUfZNrHVyWbxGsEvJzGPEYNqsBJngRdJ9T6ac+EqaT45hsRNXU9oPrCbyekjzw1T1azDjcf/guns3GoOePk3+FQi;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>)
	id 1RsOyn-0002Fe-Ru; Tue, 31 Jan 2012 20:27:21 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87lioo8k7y.fsf@HIDDEN>
Date: Tue, 31 Jan 2012 20:27:21 -0500
In-Reply-To: <87lioo8k7y.fsf@HIDDEN> (Chong Yidong's message of "Tue, 31 Jan
	2012 14:22:25 +0800")
Message-ID: <87ehuf737q.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Chong Yidong <cyd@HIDDEN> writes:

> Michael Welsh Duggan <md5i@HIDDEN> writes:
>
>> In certain circumstances, emacs running in daemon mode ends up in a high
>> CPU state, and fills the .xsession-errors log with large numbers of
>> "Back to top level." messages.  I am using a freshly bootstrapped bzr
>> trunk checkout of emacs from 2012.01.29.
>>
>> Here follows the minimal set of steps I was able to determine that
>> recreates the problem.  Small deviations from this (such as not using
>> emacsclient) did not trigger the problem.  I am running Gnome 3 and the
>> gnome-shell, but have seen (although not tested in detail) this same
>> problem in a Gnome 2 desktop session.
>
> Can you reproduce this with Emacs 23.4, or is this specific to the
> trunk?

I can reproduce this with Emacs 23.4.

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 31 Jan 2012 06:22:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 31 01:22:51 2012
Received: from localhost ([127.0.0.1]:46176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs77B-0002l0-Fx
	for submit <at> debbugs.gnu.org; Tue, 31 Jan 2012 01:22:51 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:41248 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1Rs779-0002kt-1t
	for 10669 <at> debbugs.gnu.org; Tue, 31 Jan 2012 01:22:48 -0500
Received: from [155.69.16.255] (port=6139 helo=furball)
	by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.71) (envelope-from <cyd@HIDDEN>)
	id 1Rs76u-0000dC-FU; Tue, 31 Jan 2012 01:22:33 -0500
From: Chong Yidong <cyd@HIDDEN>
To: Michael Welsh Duggan <md5i@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN>
Date: Tue, 31 Jan 2012 14:22:25 +0800
In-Reply-To: <87ipjsg5ut.fsf@HIDDEN> (Michael Welsh Duggan's message of
	"Mon, 30 Jan 2012 17:53:14 -0500")
Message-ID: <87lioo8k7y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Michael Welsh Duggan <md5i@HIDDEN> writes:

> In certain circumstances, emacs running in daemon mode ends up in a high
> CPU state, and fills the .xsession-errors log with large numbers of
> "Back to top level." messages.  I am using a freshly bootstrapped bzr
> trunk checkout of emacs from 2012.01.29.
>
> Here follows the minimal set of steps I was able to determine that
> recreates the problem.  Small deviations from this (such as not using
> emacsclient) did not trigger the problem.  I am running Gnome 3 and the
> gnome-shell, but have seen (although not tested in detail) this same
> problem in a Gnome 2 desktop session.

Can you reproduce this with Emacs 23.4, or is this specific to the
trunk?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 31 Jan 2012 01:02:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 20:02:35 2012
Received: from localhost ([127.0.0.1]:45936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs27G-0003qi-7N
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 20:02:34 -0500
Received: from md5i.com ([75.151.244.229]:53466 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Rs27E-0003qX-RH
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 20:02:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
	bh=/jyLyn9lLC20XeQx4X7fPPxDKmOQdMl0Bv1/t492za0=; 
	b=TBxvSqQSxuGlQWmBVwX7KlhDFuE/CZaBgn7MIbMnA7aV7Hehknlk/GtpahKBIgIp9uTucyMWr1c+pmBND/iWJT7kNAQjmFFTZ8TtcwNW+hKv9zSyd+U/XTHzjdRhfxlF;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>)
	id 1Rs26w-0006HY-6y; Mon, 30 Jan 2012 20:02:14 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
	<ibobtk3dkn.fsf@HIDDEN> <87aa54g0e4.fsf@HIDDEN>
	<a0liooit7b.fsf@HIDDEN>
Date: Mon, 30 Jan 2012 20:02:13 -0500
In-Reply-To: <a0liooit7b.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 30 Jan 2012 19:58:16 -0500")
Message-ID: <8762fsfzvu.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Michael Welsh Duggan wrote:
>
>>>> This bug may be related to the archived bug #5535.
>>>> <URL:http://debbugs.gnu.org/5535>
>>>
>>> Sounds similar. It's not archived or resolved BTW.
>>
>> When I attempted to add to it, I got the following:
>>
>>   You sent a message to the GNU bug tracking system, relating to bug#5536.
>                                                                        ^^^^
> :)

Mea maxima culpa.  :)

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 31 Jan 2012 00:58:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 19:58:31 2012
Received: from localhost ([127.0.0.1]:45932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs23L-0002xy-NK
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:58:31 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:36349 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Rs23J-0002xr-Hx
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:58:30 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Rs236-0002Ci-Hy; Mon, 30 Jan 2012 19:58:16 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Michael Welsh Duggan <md5i@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
	<ibobtk3dkn.fsf@HIDDEN> <87aa54g0e4.fsf@HIDDEN>
X-Spook: Clinton Aladdin csystems SEAL Team 6 JFK nitrate SDI
X-Ran: ?0<J/`yfv<:.z/|/\Jv;6"0GS[A=^wyvFP8Cg].}hNBG8\Fiu*&\qd@`<3z_wFo+Jta=kS
X-Hue: green
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 30 Jan 2012 19:58:16 -0500
In-Reply-To: <87aa54g0e4.fsf@HIDDEN> (Michael Welsh Duggan's message of
	"Mon, 30 Jan 2012 19:51:15 -0500")
Message-ID: <a0liooit7b.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Michael Welsh Duggan wrote:

>>> This bug may be related to the archived bug #5535.
>>> <URL:http://debbugs.gnu.org/5535>
>>
>> Sounds similar. It's not archived or resolved BTW.
>
> When I attempted to add to it, I got the following:
>
>   You sent a message to the GNU bug tracking system, relating to bug#5536.
                                                                       ^^^^

:)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 31 Jan 2012 00:51:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 19:51:37 2012
Received: from localhost ([127.0.0.1]:45928 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs1we-0002oV-Ro
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:51:37 -0500
Received: from md5i.com ([75.151.244.229]:53387 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Rs1wc-0002oH-0b
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:51:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:Cc:To:From;
	bh=AK3c1TgTRq4Zcd0ySzoTudXbwpKZOJtLv5kCdleO5Mo=; 
	b=fsX/n5d9g1XnShlEUen7Elje0HaDsxXJGFkDGeSC7dtVUrXAQFWN3uLlfVeqGXGRoq7DFRon4Kf5aWnNZocvtWcJPDGjUgmF9Lw6Pi+9GgP/w6Zn9LNB6rbKOfRH/aBa;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>)
	id 1Rs1wJ-00015A-SK; Mon, 30 Jan 2012 19:51:15 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: Glenn Morris <rgm@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
	<ibobtk3dkn.fsf@HIDDEN>
Date: Mon, 30 Jan 2012 19:51:15 -0500
In-Reply-To: <ibobtk3dkn.fsf@HIDDEN> (Glenn Morris's message of
	"Mon, 30 Jan 2012 19:44:56 -0500")
Message-ID: <87aa54g0e4.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

Glenn Morris <rgm@HIDDEN> writes:

> Michael Welsh Duggan wrote:
>
>> This bug may be related to the archived bug #5535.
>> <URL:http://debbugs.gnu.org/5535>
>
> Sounds similar. It's not archived or resolved BTW.

When I attempted to add to it, I got the following:

  You sent a message to the GNU bug tracking system, relating to bug#5536.
  
  Your message was dated Mon, 30 Jan 2012 17:21:52 -0500 and was sent to
  5536-submit <at> debbugs.gnu.org.  It had
  Message-ID: <87mx94g7b3.fsf@HIDDEN>
  and Subject: Emacs daemon high CPU load: New information
  
  This bug is currently in a read-only state.  This is because it has been
  closed and has received no comments for more than 28 days, until now.

I thought that meant archived, but I may have the terminology wrong.

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.
Merged 5535 10669. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 31 Jan 2012 00:45:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 19:45:21 2012
Received: from localhost ([127.0.0.1]:45909 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs1qb-0002ej-2o
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:45:21 -0500
Received: from fencepost.gnu.org ([140.186.70.10]:36222 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1Rs1qO-0002dx-S4
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 19:45:10 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1Rs1qC-0001Z1-AV; Mon, 30 Jan 2012 19:44:56 -0500
From: Glenn Morris <rgm@HIDDEN>
To: Michael Welsh Duggan <md5i@HIDDEN>
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN> <87ehugg2zl.fsf@HIDDEN>
X-Spook: Treasury UNSCOM Ansar al-Islam CDC bluebird S Box Leitrim
X-Ran: *M[@>R\-mv]stS_iSx6Kaaj(.biA$+KL+/^sW^Fzd@HIDDEN{-"mWjm#d4|@G~pmW62iR7vmb
X-Hue: black
X-Debbugs-No-Ack: yes
X-Attribution: GM
Date: Mon, 30 Jan 2012 19:44:56 -0500
In-Reply-To: <87ehugg2zl.fsf@HIDDEN> (Michael Welsh Duggan's message of
	"Mon, 30 Jan 2012 18:55:10 -0500")
Message-ID: <ibobtk3dkn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: 10669
Cc: 10669 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Michael Welsh Duggan wrote:

> This bug may be related to the archived bug #5535.
> <URL:http://debbugs.gnu.org/5535>

Sounds similar. It's not archived or resolved BTW.
The usual answer to such issues has been "use a lucid toolkit build
rather than a Gtk one". But, you are already doing that, so it can't be
the infamous Gtk+ bug that is responsible in this case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at 10669 <at> debbugs.gnu.org:


Received: (at 10669) by debbugs.gnu.org; 30 Jan 2012 23:55:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 18:55:31 2012
Received: from localhost ([127.0.0.1]:45867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs14N-0001VB-KX
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 18:55:31 -0500
Received: from md5i.com ([75.151.244.229]:52993 helo=maru.md5i.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Rs14L-0001Uz-7a
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 18:55:29 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:Subject:To:From;
	bh=7sd3xSlg6asuee686OlrwuiuP3iCKZx8LISI9oF76Hk=; 
	b=RgVtGACYVwg1fYM5S7anWJ3LCYRigqztOR0SZwh2rIH6Zhcd5air6zNcq+nheEb8gDtp2/g42NRgs79vLeR/q8Gtbxvr5oOPfrQE9WCtlHPzJnwK++/gV814oPJZsacR;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>) id 1Rs143-0007y4-7r
	for 10669 <at> debbugs.gnu.org; Mon, 30 Jan 2012 18:55:11 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: 10669 <at> debbugs.gnu.org
Subject: Re: bug#10669: 24.0.93; Emacs daemon high CPU load
References: <87ipjsg5ut.fsf@HIDDEN>
Date: Mon, 30 Jan 2012 18:55:10 -0500
In-Reply-To: <87ipjsg5ut.fsf@HIDDEN> (Michael Welsh Duggan's message of
	"Mon, 30 Jan 2012 17:53:14 -0500")
Message-ID: <87ehugg2zl.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 10669
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> In certain circumstances, emacs running in daemon mode ends up in a high
> CPU state, and fills the .xsession-errors log with large numbers of
> "Back to top level." messages.  I am using a freshly bootstrapped bzr
> trunk checkout of emacs from 2012.01.29.

This bug may be related to the archived bug #5535.
<URL:http://debbugs.gnu.org/5535>

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jan 2012 22:53:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 30 17:53:45 2012
Received: from localhost ([127.0.0.1]:45775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Rs06a-0007hT-5D
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 17:53:44 -0500
Received: from eggs.gnu.org ([140.186.70.92]:54785)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <md5i@HIDDEN>) id 1Rs06X-0007hG-5l
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 17:53:41 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <md5i@HIDDEN>) id 1Rs06F-0008Lh-4q
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 17:53:24 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID,
	T_RP_MATCHES_RCVD autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([140.186.70.17]:37883)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <md5i@HIDDEN>) id 1Rs06F-0008Ld-2w
	for submit <at> debbugs.gnu.org; Mon, 30 Jan 2012 17:53:23 -0500
Received: from eggs.gnu.org ([140.186.70.92]:36011)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <md5i@HIDDEN>) id 1Rs06E-0005kc-Ba
	for bug-gnu-emacs@HIDDEN; Mon, 30 Jan 2012 17:53:23 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <md5i@HIDDEN>) id 1Rs06C-0008LQ-W1
	for bug-gnu-emacs@HIDDEN; Mon, 30 Jan 2012 17:53:22 -0500
Received: from md5i.com ([75.151.244.229]:47517 helo=maru.md5i.com)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <md5i@HIDDEN>) id 1Rs06C-0008Kg-Rp
	for bug-gnu-emacs@HIDDEN; Mon, 30 Jan 2012 17:53:20 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=md5i.com;
	s=dkim; 
	h=Content-Type:MIME-Version:Message-ID:Date:Subject:To:From;
	bh=6OCVrSJjcmr/nQdfNMs2yCquzzsyW75nz1mVqBFIIzE=; 
	b=MYATj1kMDbir9kgY0gUTBcCjjjgxFxP2Kuj+DTq3fXcgl+WfomMe0ZIBltZ8QzVzDMNFVuYA2Xy9lV/ktrUT83uIJZ58/BDa/trCnHEUNjSahEK/yz7nCWtjlRamIpB/;
Received: from md5i by maru.md5i.com with local (Exim 4.77)
	(envelope-from <md5i@HIDDEN>) id 1Rs066-0004BY-Gg
	for bug-gnu-emacs@HIDDEN; Mon, 30 Jan 2012 17:53:14 -0500
From: Michael Welsh Duggan <md5i@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.0.93; Emacs daemon high CPU load
Date: Mon, 30 Jan 2012 17:53:14 -0500
Message-ID: <87ipjsg5ut.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 140.186.70.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

In certain circumstances, emacs running in daemon mode ends up in a high
CPU state, and fills the .xsession-errors log with large numbers of
"Back to top level." messages.  I am using a freshly bootstrapped bzr
trunk checkout of emacs from 2012.01.29.

Here follows the minimal set of steps I was able to determine that
recreates the problem.  Small deviations from this (such as not using
emacsclient) did not trigger the problem.  I am running Gnome 3 and the
gnome-shell, but have seen (although not tested in detail) this same
problem in a Gnome 2 desktop session.

In a Gnome desktop session:

1) Create a .emacs file containing the following single line:

   (server-start)

2) Start emacs using the following incantation:

   emacsclient -a "" -c -n

3) Log out of the desktop session.

4) Log in.

5) Run top.  See that emacs is taking up most of the CPU.

I have been able to attach gdb to the runaway process, but have as yet
been unable to determine what it is doing.  If others are unable to
recreate the problem, I am happy to try debugging on this end, with a
little guidance.



In GNU Emacs 24.0.93.1 (i686-pc-linux-gnu, X toolkit)
 of 2012-01-29 on maru
Windowing system distributor `The X.Org Foundation', version 11.0.11103901
Configured using:
 `configure '--enable-asserts' 'CFLAGS=-ggdb3 -O0'
 '--without-toolkit-scroll-bars' '--enable-maintainer-mode'
 '--with-x-toolkit=lucid''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

-- 
Michael Welsh Duggan
(md5i@HIDDEN)




Acknowledgement sent to Michael Welsh Duggan <md5i@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#10669; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.